package http_model

type RegisterRequest struct {
	EnterpriseId int64  `json:"enterprise_id"` // 企业id
	UserId       int64  `json:"user_id"`       // 对应用户id
	RealName     string `json:"real_name"`     // 真实姓名
	Phone        string `json:"phone"`         // 手机号
	Industry     int64  `json:"industry"`      // 行业，1-14分别代表能源、化工、材料、机械设备/军工、企业服务/造纸印刷、运输设备、旅游酒店、媒体/信息通信服务、批发/零售、消费品、卫生保健/医疗、金融、建材/建筑/房地产、公共事业
	BusinessName string `json:"business_name"` // 公司或组织名称
	Email        string `json:"email"`         // 电子邮件
	Code         string `json:"code"`          // 验证码
}

type RegisterData struct {
	UserID       int64  `json:"user_id"`       // 用户id
	EnterpriseId string `json:"enterprise_id"` // 企业id
}

func NewRegisterRequest() *RegisterRequest {
	return new(RegisterRequest)
}
func NewRegisterResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(RegisterData)
	return resp
}
